<ng-container *ngFor="let category of categories">

    <li [ngClass]="{
        'dropdown-submenu':category.sublevels,
        'dropdown-item':!category.sublevels
        }">
      <a  class='dropdown-item'        
        [routerLink]="'/product-list/'+category.id"
        >
        {{category.name}}
      </a>
      <ul  menu-component class="dropdown-menu" [categories]=category.sublevels></ul>
    </li>
  
  </ng-container>